net.sf.jasperreports.export

## Class PropertiesNoDefaultsConfigurationFactory<C extends CommonExportConfiguration>

- java.lang.Object
- - net.sf.jasperreports.export.PropertiesNoDefaultsConfigurationFactory<C>

-     public class PropertiesNoDefaultsConfigurationFactory<C extends CommonExportConfiguration>
      extends java.lang.Object

  Version:
    $Id: PropertiesExporterConfigurationFactory.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertiesNoDefaultsConfigurationFactory(JasperReportsContext jasperReportsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `getConfiguration(java.lang.Class<C> configurationInterface, JRPropertiesHolder propertiesHolder)`
    `static java.lang.Object` | `getPropertyValue(JasperReportsContext jasperReportsContext, JRPropertiesHolder propertiesHolder, ExporterProperty exporterProperty, java.lang.Class<?> type)`
    `protected java.lang.Object` | `getPropertyValue(java.lang.reflect.Method method, JRPropertiesHolder propertiesHolder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertiesNoDefaultsConfigurationFactory

          public PropertiesNoDefaultsConfigurationFactory(JasperReportsContext jasperReportsContext)

  - ### Method Detail

    - #### getConfiguration

          public C getConfiguration(java.lang.Class<C> configurationInterface,
                           JRPropertiesHolder propertiesHolder)

    - #### getPropertyValue

          protected java.lang.Object getPropertyValue(java.lang.reflect.Method method,
                                          JRPropertiesHolder propertiesHolder)

    - #### getPropertyValue

          public static java.lang.Object getPropertyValue(JasperReportsContext jasperReportsContext,
                                          JRPropertiesHolder propertiesHolder,
                                          ExporterProperty exporterProperty,
                                          java.lang.Class<?> type)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com